# Poco::XML::XMLStreamParser

# struct Iterator

Library: XML
Package: XML
Header: Poco/XML/XMLStreamParser.h

## Member Summary

Member Functions: operator !=, operator *, operator ++, operator ==

## Types Aliases

### value_type

using value_type = EventType;

## Constructors

### Iterator

Iterator(
XMLStreamParser * p = 0,
EventType e = EV_EOF
);

## Member Functions

### operator !=

bool operator != (
Iterator y
) const;

Comparison only makes sense when comparing to end (eof).

### operator *

value_type operator * () const;

### operator ++

Iterator & operator ++ ();

### operator ==

bool operator == (
Iterator y
) const;

Comparison only makes sense when comparing to end (eof).